package com.gree.mall.manager.bean.goods;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.GoodsStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel
public class GoodsApplyVO {

    @ZfireField(hide = true,tbName = "a")
    @TableId(value = "goods_apply_id", type = IdType.ID_WORKER_STR)
    private String goodsApplyId;

    @ZfireField(hide = true,tbName = "a")
    private String goodsId;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "商品图片")
    private String imgUrl;

    @ZfireField(hide = true,tbName = "b")
    @ApiModelProperty(value = "商品分类id")
    private String categoryId;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "商品大类")
    private String categoryPname;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "商品小类")
    private String categoryName;

    @ZfireField(hide = true,tbName = "b")
    @ApiModelProperty(value = "大类id")
    private String categoryPid;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "划线价格")
    private BigDecimal orgGoodsPrice;
    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "商品价格")
    private BigDecimal goodsPrice;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "商品状态")
    private GoodsStatusEnum status;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "排序")
    private Integer sortNum;

}
